Bug 1417715 - GDM/GNOME incorrectly set monitor mode under wayland when changed from defaults
Summary: GDM/GNOME incorrectly set monitor mode under wayland when changed from defaults
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: wayland
Version: 25
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Adam Jackson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-30 17:53 UTC by link141
Modified: 2017-12-12 10:36 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-12 10:36:07 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 1397246 0 unspecified CLOSED Can not set Monitor to Native resolution in X or Wayland as the Refresh Rate is wrong. 2021-02-22 00:41:40 UTC

Description link141 2017-01-30 17:53:10 UTC
Description of problem:
Under Wayland, it is impossible to change any monitor settings through the "Displays" dialog in Gnome as it sets the monitor to an unsupported mode.  This results in a monitors displaying a message that the current timing mode is unsupported (and effectively no video output).  Under X11, changing the monitor resolution, rotation, etc work as expected.

This happens when any settings are changed through the Displays dialog, including options that don't change the video mode (eg: setting primary/secondary, display position, display rotation, or turning off displays).  This also happens when inserting a monitors.xml file with the default display settings into the user's home directory--or when inserting this file in /var/lib/gdm/.config/.

My display setup includes two monitors, with one rotated 90 degrees.  Both GDM and GNOME set both monitors to the correct resolution and timing by default when using wayland--it's only when I try to change monitor settings from the default that I experience the issue. 

Version-Release number of selected component (if applicable):
gdm 3.22.1 1.fc25
mutter 3.22.2 3.fc25
Linux 4.9.5-200.fc25.x86_64

Architecture: x86_64

How reproducible:
The issue is 100% reproducible on my host.

Steps to Reproduce:
1. Launch Gnome Wayland session
2. Open "Displays" settings dialog
3. Change any settings that don't modify resolution/refresh
4. Click apply

Alternatively
1. Create $HOME/.config/monitors.xml or /var/lib/gdm/.config/monitors.xml with the same settings as default for the relevant Wayland displays
2. Log in/out of the Gnome Wayland session or restart the machine (for user, GDM config respectively

Actual results:
Monitor mode is set incorrectly (timing issue?)

Expected results:
Monitor mode should be set identical to the default

Additional info:
Using default
Graphics: 03:00.0 VGA compatible controller: Advanced Micro Devices, Inc. 
[AMD/ATI] Bonaire [FirePro W5100]

glxinfo renderer info:
Extended renderer info (GLX_MESA_query_renderer):
    Vendor: X.Org (0x1002)
    Device: AMD BONAIRE (DRM 2.48.0 / 4.9.5-200.fc25.x86_64, LLVM 3.8.1) (0x6649)
    Version: 13.0.3
    Accelerated: yes
    Video memory: 4096MB
    Unified memory: no
    Preferred profile: core (0x1)
    Max core profile version: 4.1
    Max compat profile version: 3.0
    Max GLES1 profile version: 1.1
    Max GLES[23] profile version: 3.0

AMDGPU is not enabled for SI in my kernel, so the system is using the radeon driver

I'm new to Fedora/Wayland, so please let me know which logs would be helpful to include.

Thanks!

Comment 1 link141 2017-01-31 02:15:37 UTC
Is this related to Bug 1397246?
https://bugzilla.redhat.com/show_bug.cgi?id=1397246

My monitor is a Dell U3014, and the native mode is 2560x1600 @60Hz.

Comment 2 John Duchek 2017-05-17 15:37:00 UTC
about 3 months ago I started having a similar problem.  My dual monitor system suddenly swapped settings for the two monitors. It happened when a new kernel was loaded, and I could reverse the settings by loading the older kernel.  
It is still happening, and the the settings display program can be corrected by reversing the settings for the monitors.  Unfortunately if one monitor can do 1900x 1050 and the other can do only 1200x1000, both are limited to the 1200x1000 since while the settings are reversed the info about resolution it picks up are not. Also unfortunate is the fact that the kernels older than3 past are deleted as I can no longer use that work around. I am using XFCE with Fedora 25

Comment 3 Giuseppe Castagna 2017-07-17 09:58:20 UTC
I have a very similar problem, different monitor, Dell U3014 (as link141@gmail.com), in a three monitors configuration where the two other monitors have 90 degrees rotation. In Wayland the dell works up to resolution 1680x1050 but not with higher resolutions in particular with the unscaled 2560x1600 @ 60.
   But it works under Xorg, so I have to stick to it. I am in Fedora 26, Gnome.

[beppe@thallium ~]$ monitor-edid -v
parsing EDID from /sys/class/drm/card0-DP-1/edid
Unescaped left brace in regex is deprecated, passed through in regex; marked by <-- HERE in m/.*? = { <-- HERE / at /usr/bin/monitor-parse-edid line 735.
Name: DELL U3014
EISA ID: DEL4081
EDID version: 1.4
EDID extension blocks: 1
Screen size: 64.1 cm x 40.1 cm (29.77 inches, aspect ratio 16/10 = 1.60)
Gamma: 2.2
Digital signal
Standard resolution: 640x480 @ 60 Hz (established timing)
Standard resolution: 640x480 @ 75 Hz (established timing)
Standard resolution: 720x400 @ 70 Hz (established timing)
Standard resolution: 800x600 @ 60 Hz (established timing)
Standard resolution: 800x600 @ 75 Hz (established timing)
Standard resolution: 1024x768 @ 60 Hz (established timing)
Standard resolution: 1024x768 @ 75 Hz (established timing)
Standard resolution: 1280x1024 @ 75 Hz (established timing)
Standard resolution: 1280x800 @ 60 Hz, ratio 16/10
Standard resolution: 1680x1050 @ 60 Hz, ratio 16/10
Standard resolution: 1920x1200 @ 60 Hz, ratio 16/10
Standard resolution: 1152x864 @ 75 Hz, ratio 4/3 (!)
Standard resolution: 1600x1200 @ 60 Hz, ratio 4/3 (!)
Standard resolution: 1280x1024 @ 60 Hz, ratio 5/4 (!)
Standard resolution: 1920x1080 @ 60 Hz, ratio 16/9 (!)
Max video bandwidth: 280 MHz

	HorizSync 29-113
	VertRefresh 49-86

	# Monitor preferred modeline (60.0 Hz vsync, 98.7 kHz hsync, ratio 16/10, 101 dpi)
	ModeLine "2560x1600" 268.5 2560 2608 2640 2720 1600 1603 1609 1646 -hsync +vsync

	# Monitor supported CEA modeline (60.0 Hz vsync, 67.5 kHz hsync, ratio 16/9, 76x68 dpi) (bad ratio)
	ModeLine "1920x1080" 148.5 1920 2008 2052 2200 1080 1084 1089 1125 +hsync +vsync

	# Monitor supported CEA modeline (60.0 Hz vsync, 33.8 kHz hsync, interlaced, ratio 16/9, 76x68 dpi) (bad ratio)
	ModeLine "1920x1080" 74.25 1920 2008 2052 2200 1080 1084 1094 1125 +hsync +vsync Interlace

	# Monitor supported CEA modeline (60.0 Hz vsync, 45.0 kHz hsync, ratio 16/9, 50x45 dpi) (bad ratio)
	ModeLine "1280x720" 74.25 1280 1390 1430 1650 720 725 730 750 +hsync +vsync

	# Monitor supported CEA modeline (59.9 Hz vsync, 31.5 kHz hsync, ratio 3/2, 28x30 dpi) (bad ratio)
	ModeLine "720x480" 27 720 736 798 858 480 489 495 525 -hsync -vsync

	# Monitor supported CEA modeline (59.9 Hz vsync, 31.5 kHz hsync, ratio 3/2, 28x30 dpi) (bad ratio)
	ModeLine "720x480" 27 720 736 798 858 480 489 495 525 -hsync -vsync

	# Monitor supported CEA modeline (59.9 Hz vsync, 15.7 kHz hsync, interlaced, ratio 3.00, 57x30 dpi) (bad ratio)
	ModeLine "1440x480" 27 1440 1478 1602 1716 480 488 494 525 -hsync -vsync Interlace

	# Monitor supported CEA modeline (50.0 Hz vsync, 15.6 kHz hsync, interlaced, ratio 2.50, 57x36 dpi) (bad ratio)
	ModeLine "1440x576" 27 1440 1464 1590 1728 576 580 586 625 -hsync -vsync Interlace

	# Monitor supported CEA modeline (59.9 Hz vsync, 31.5 kHz hsync, ratio 4/3, 25x30 dpi) (bad ratio)
	ModeLine "640x480" 25.175 640 656 752 800 480 490 492 525 -hsync -vsync

	# Monitor supported CEA modeline (59.9 Hz vsync, 15.7 kHz hsync, interlaced, ratio 3.00, 57x30 dpi) (bad ratio)
	ModeLine "1440x480" 27 1440 1478 1602 1716 480 488 494 525 -hsync -vsync Interlace

	# Monitor supported CEA modeline (50.0 Hz vsync, 31.2 kHz hsync, ratio 5/4, 28x36 dpi) (bad ratio)
	ModeLine "720x576" 27 720 732 796 864 576 581 586 625 -hsync -vsync

	# Monitor supported CEA modeline (50.0 Hz vsync, 31.2 kHz hsync, ratio 5/4, 28x36 dpi) (bad ratio)
	ModeLine "720x576" 27 720 732 796 864 576 581 586 625 -hsync -vsync

	# Monitor supported CEA modeline (50.0 Hz vsync, 15.6 kHz hsync, interlaced, ratio 2.50, 57x36 dpi) (bad ratio)
	ModeLine "1440x576" 27 1440 1464 1590 1728 576 580 586 625 -hsync -vsync Interlace

	# Monitor supported CEA modeline (50.0 Hz vsync, 37.5 kHz hsync, ratio 16/9, 50x45 dpi) (bad ratio)
	ModeLine "1280x720" 74.25 1280 1720 1760 1980 720 725 730 750 +hsync +vsync

	# Monitor supported CEA modeline (50.0 Hz vsync, 28.1 kHz hsync, interlaced, ratio 16/9, 76x68 dpi) (bad ratio)
	ModeLine "1920x1080" 74.25 1920 2448 2492 2640 1080 1084 1094 1125 +hsync +vsync Interlace

	# Monitor supported CEA modeline (50.0 Hz vsync, 56.2 kHz hsync, ratio 16/9, 76x68 dpi) (bad ratio)
	ModeLine "1920x1080" 148.5 1920 2448 2492 2640 1080 1084 1089 1125 +hsync +vsync

	# Monitor supported CEA modeline (24.0 Hz vsync, 27.0 kHz hsync, ratio 16/9, 76x68 dpi) (bad ratio)
	ModeLine "1920x1080" 74.25 1920 2558 2602 2750 1080 1084 1089 1125 +hsync +vsync

	# Monitor supported modeline (60.0 Hz vsync, 67.5 kHz hsync, ratio 16/9, 76x68 dpi) (bad ratio)
	ModeLine "1920x1080" 148.5 1920 2008 2052 2200 1080 1084 1089 1125 +hsync +vsync

	# Monitor supported modeline (60.0 Hz vsync, 33.8 kHz hsync, interlaced, ratio 16/9, 76x68 dpi) (bad ratio)
	ModeLine "1920x1080" 74.25 1920 2008 2052 2200 1080 1084 1094 1125 +hsync +vsync Interlace

	# Monitor supported modeline (60.0 Hz vsync, 45.0 kHz hsync, ratio 16/9, 50x45 dpi) (bad ratio)
	ModeLine "1280x720" 74.25 1280 1390 1430 1650 720 725 730 750 +hsync +vsync

	# Monitor supported modeline (60.0 Hz vsync, 31.5 kHz hsync, ratio 3/2, 28x30 dpi) (bad ratio)
	ModeLine "720x480" 27.03 720 736 798 858 480 489 495 525 -hsync -vsync

Comment 4 Fedora End Of Life 2017-11-16 18:44:55 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 5 Fedora End Of Life 2017-12-12 10:36:07 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.